<?php

class Migration_20250408205917_alter_tbl_Propperm
{
    public static function up(PDO $pdo)
    {
        $sql = "ALTER TABLE `property_permissions`
                ADD COLUMN `user_type` ENUM('user', 'property_user', 'multi_prop', 'dealer_admin')
                DEFAULT NULL
                AFTER `door_id`;";
        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        $sql = "ALTER TABLE `property_permissions`
                DROP COLUMN `user_type`;";
        $pdo->exec($sql);
    }
}